export default {
	path: './patterns',
	formats: {
		js: {
			name: 'Script',
			transforms: ['browserify'],
			importStatement: localName => {
				return `import '${localName}';`;
			},
			build: true
		},
		less: {
			name: 'Style',
			transforms: ['less'],
			importStatement: localName => {
				return `@import '${localName}';`;
			},
			build: true
		},
		css: {
			name: 'Style',
			transforms: ['less'],
			importStatement: localName => {
				return `@import '${localName}';`;
			},
			build: true
		},
		html: {
			name: 'Markup',
			importStatement: localName => {
				return `import '${localName}';`;
			},
			transforms: ['react', 'react-to-markup']
		},
		jsx: {
			name: 'Markup',
			importStatement: localName => {
				return `import '${localName}';`;
			},
			transforms: ['react', 'react-to-markup']
		},
		md: {
			name: 'Documentation',
			transforms: ['markdown']
		}
	}
};
